<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">

  <!-- by T. Meinike 07/2012 | speiseplan.xsd | XML-Schema als Datenmodell für speiseplan.xml -->

  <xs:element name="speiseplan">
    <xs:complexType>
      <xs:sequence>
        <xs:element maxOccurs="unbounded" minOccurs="0" ref="angebot"/>
      </xs:sequence>
      <xs:attribute ref="mensa" use="required"/>
    </xs:complexType>
  </xs:element>

  <xs:element name="angebot">
    <xs:complexType>
      <xs:sequence>
        <xs:element maxOccurs="unbounded" ref="auswahl"/>
      </xs:sequence>
      <xs:attribute ref="datum" use="required"/>
    </xs:complexType>
  </xs:element>

  <xs:element name="auswahl">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="theke"/>
        <xs:element ref="gericht"/>
        <xs:element minOccurs="0" ref="bild"/>
        <xs:element ref="preis"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>

  <xs:element name="theke" type="xs:string"/>

  <xs:element name="gericht" type="xs:string"/>

  <xs:element name="bild" type="xs:string"/>

  <xs:element name="preis">
    <xs:complexType>
      <xs:attribute ref="s" use="required"/>
      <xs:attribute ref="m" use="required"/>
      <xs:attribute ref="g" use="required"/>
    </xs:complexType>
  </xs:element>

  <xs:attribute name="mensa" type="xs:string"/>

  <xs:attribute name="datum" type="xs:date"/>

  <xs:attribute name="s" type="xs:decimal"/>

  <xs:attribute name="m" type="xs:decimal"/>

  <xs:attribute name="g" type="xs:decimal"/>

</xs:schema>